Subject: [bug#48388] [PATCH 0/3] Add xgboost.

From: Vinicius Monego <[email-masked]>
Date: Wed, 12 May 2021 23:56:49 +0000

This patchset adds the binaries, C++ library and Python frontend for the XGBoost gradient boosting framework.

I noticed r-xgboost in the packages, which compiles a bundled copy of xgboost. Ideally it would inherit from xgboost and build from there, but I do not work with R so I can't help with this.

I also had to do some dirty hack in the python patch for reading version and using libxgboost from the xgboost package. Lmk is there is a better way to handle this.

Vinicius Monego (3):
  gnu: Add dmlc-core.
  gnu: Add xgboost.
  gnu: Add python-xgboost.

 gnu/local.mk                                  |   2 +
 gnu/packages/machine-learning.scm             | 125 ++++++++++++++++++
 ...xgboost-python-use-system-libxgboost.patch |  69 ++++++++++
 .../xgboost-use-system-dmlc-core.patch        |  35 +++++
 4 files changed, 231 insertions(+)
 create mode 100644 gnu/packages/patches/xgboost-python-use-system-libxgboost.patch
 create mode 100644 gnu/packages/patches/xgboost-use-system-dmlc-core.patch

-- 
2.31.1